/*
 * ppg_random.h 1995-08-15
 * Michael Shields <shields@tembel.org>
 * Public domain
 *
 * A generic interface to obtaining the strongest available source
 * of random numbers.
 */

#ifndef __P
#ifdef __STDC__
#define __P(x) x
#else
#define __P(x) ()
#endif
#endif

/* Initialize the entropy cache with an estimate of how much you will
   need, N chunks of M bits.  More will be invisibly obtained if
   necessary.  It's given as chunks because we may be wasteful of
   entropy and want to estimate in advance how wasteful.  */
int ppg_rand_init __P((int chunks, int bits));

/* Retrieve a random value in the range (0,MAX).  */
int ppg_rand __P((int max));
